Package org.drinkless.tdlib

# Class TdApi.MainWebApp

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MainWebApp

Enclosing class:
  `TdApi`

public static class TdApi.MainWebApp extends TdApi.Object
Contains information about the main Web App of a bot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.WebAppOpenMode`
  `mode`
  The mode in which the Web App must be opened.
  `String`
  `url`
  URL of the Web App to open.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MainWebApp()`
  Contains information about the main Web App of a bot.
  `MainWebApp(String url, TdApi.WebAppOpenMode mode)`
  Contains information about the main Web App of a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    URL of the Web App to open.

  - ### mode

    public TdApi.WebAppOpenMode mode
    The mode in which the Web App must be opened.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MainWebApp

    public MainWebApp()
    Contains information about the main Web App of a bot.

  - ### MainWebApp

    public MainWebApp(String url, TdApi.WebAppOpenMode mode)
    Contains information about the main Web App of a bot.
    Parameters:
      `url` - URL of the Web App to open.
      `mode` - The mode in which the Web App must be opened.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR